package ink.wgink.module.activiti.pojo.vos.oa.nodemanage.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: AssigneeVO
 * @Description: 代理人
 * @Author: wanggeng
 * @Date: 2022/4/4 10:46
 * @Version: 1.0
 */
@ApiModel
public class AssigneeVO {

    @ApiModelProperty(name = "nodeType", value = "节点类型")
    private String nodeType;
    @ApiModelProperty(name = "assigneeType", value = "代理人类型")
    private String assigneeType;
    @ApiModelProperty(name = "assigneeCount", value = "代理人数量")
    private String assigneeCount;
    @ApiModelProperty(name = "assignee", value = "代理人")
    private String assignee;
    @ApiModelProperty(name = "assigneeName", value = "代理人名称")
    private String assigneeName;
    @ApiModelProperty(name = "autoAssignType", value = "自动方式")
    private String autoAssignType;
    @ApiModelProperty(name = "departmentType", value = "部门类型")
    private String departmentType;
    @ApiModelProperty(name = "departments", value = "选择部门")
    private String departments;
    @ApiModelProperty(name = "departmentNames", value = "选择部门名称")
    private String departmentNames;
    @ApiModelProperty(name = "roles", value = "角色")
    private String roles;
    @ApiModelProperty(name = "roleNames", value = "角色名称")
    private String roleNames;
    @ApiModelProperty(name = "positions", value = "职位")
    private String positions;
    @ApiModelProperty(name = "positionNames", value = "职位名称")
    private String positionNames;
    @ApiModelProperty(name = "quickAssignee", value = "快速代理人")
    private String quickAssignee;
    @ApiModelProperty(name = "signType", value = "会签类型")
    private String signType;
    @ApiModelProperty(name = "signUsers", value = "会签人")
    private String signUsers;
    @ApiModelProperty(name = "completeCondition", value = "完成条件")
    private String completeCondition;
    @ApiModelProperty(name = "completeCount", value = "")
    private Integer completeCount;

    public String getNodeType() {
        return nodeType == null ? "" : nodeType.trim();
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getAssigneeType() {
        return assigneeType == null ? "" : assigneeType.trim();
    }

    public void setAssigneeType(String assigneeType) {
        this.assigneeType = assigneeType;
    }

    public String getAssigneeCount() {
        return assigneeCount == null ? "" : assigneeCount.trim();
    }

    public void setAssigneeCount(String assigneeCount) {
        this.assigneeCount = assigneeCount;
    }

    public String getAssignee() {
        return assignee == null ? "" : assignee.trim();
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getAssigneeName() {
        return assigneeName == null ? "" : assigneeName.trim();
    }

    public void setAssigneeName(String assigneeName) {
        this.assigneeName = assigneeName;
    }

    public String getAutoAssignType() {
        return autoAssignType == null ? "" : autoAssignType.trim();
    }

    public void setAutoAssignType(String autoAssignType) {
        this.autoAssignType = autoAssignType;
    }

    public String getDepartmentType() {
        return departmentType == null ? "" : departmentType.trim();
    }

    public void setDepartmentType(String departmentType) {
        this.departmentType = departmentType;
    }

    public String getDepartments() {
        return departments == null ? "" : departments.trim();
    }

    public void setDepartments(String departments) {
        this.departments = departments;
    }

    public String getDepartmentNames() {
        return departmentNames == null ? "" : departmentNames.trim();
    }

    public void setDepartmentNames(String departmentNames) {
        this.departmentNames = departmentNames;
    }

    public String getRoles() {
        return roles == null ? "" : roles.trim();
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public String getRoleNames() {
        return roleNames == null ? "" : roleNames.trim();
    }

    public void setRoleNames(String roleNames) {
        this.roleNames = roleNames;
    }

    public String getPositions() {
        return positions == null ? "" : positions.trim();
    }

    public void setPositions(String positions) {
        this.positions = positions;
    }

    public String getPositionNames() {
        return positionNames == null ? "" : positionNames.trim();
    }

    public void setPositionNames(String positionNames) {
        this.positionNames = positionNames;
    }

    public String getQuickAssignee() {
        return quickAssignee == null ? "" : quickAssignee.trim();
    }

    public void setQuickAssignee(String quickAssignee) {
        this.quickAssignee = quickAssignee;
    }

    public String getSignType() {
        return signType == null ? "" : signType.trim();
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getSignUsers() {
        return signUsers == null ? "" : signUsers.trim();
    }

    public void setSignUsers(String signUsers) {
        this.signUsers = signUsers;
    }

    public String getCompleteCondition() {
        return completeCondition == null ? "" : completeCondition.trim();
    }

    public void setCompleteCondition(String completeCondition) {
        this.completeCondition = completeCondition;
    }

    public Integer getCompleteCount() {
        return completeCount == null ? 0 : completeCount;
    }

    public void setCompleteCount(Integer completeCount) {
        this.completeCount = completeCount;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"nodeType\":\"")
                .append(nodeType).append('\"');
        sb.append(",\"assigneeType\":\"")
                .append(assigneeType).append('\"');
        sb.append(",\"assigneeCount\":")
                .append(assigneeCount);
        sb.append(",\"assignee\":\"")
                .append(assignee).append('\"');
        sb.append(",\"autoAssignType\":\"")
                .append(autoAssignType).append('\"');
        sb.append(",\"departmentType\":\"")
                .append(departmentType).append('\"');
        sb.append(",\"departments\":\"")
                .append(departments).append('\"');
        sb.append(",\"departmentNames\":\"")
                .append(departmentNames).append('\"');
        sb.append(",\"roles\":\"")
                .append(roles).append('\"');
        sb.append(",\"roleNames\":\"")
                .append(roleNames).append('\"');
        sb.append(",\"positions\":\"")
                .append(positions).append('\"');
        sb.append(",\"positionNames\":\"")
                .append(positionNames).append('\"');
        sb.append(",\"quickAssignee\":\"")
                .append(quickAssignee).append('\"');
        sb.append(",\"signType\":\"")
                .append(signType).append('\"');
        sb.append(",\"signUsers\":\"")
                .append(signUsers).append('\"');
        sb.append(",\"completeCondition\":\"")
                .append(completeCondition).append('\"');
        sb.append(",\"completeCount\":")
                .append(completeCount);
        sb.append('}');
        return sb.toString();
    }
}
